Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JCheckBox

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.AbstractButton
                              |
                              +--javax.swing.JToggleButton
                                    |
                                    +--javax.swing.JCheckBox

All Implemented Interfaces:
  Accessible, ImageObserver, ItemSelectable, MenuContainer, Serializable, SwingConstants

public class JCheckBox
extends JToggleButton
implements Accessible

An implementation of a check box -- an item that can be selected or deselected, and which displays its state to the user. By convention, any number of check boxes in a group can be selected. See How to Use Buttonc, Check Boxes, and Radio Buttons in The Java Tutorial for examples and information on using check boxes.

For the keyboard keys used by this component in the standard Look and Feel (L&F) renditions, see the JCheckBox key assignments.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `JRadioButton`, Serialized Form

Inner Class Summary
`protected class` | `JCheckBox.AccessibleJCheckBox` This class implements accessibility support for the `JCheckBox` class.

Inner classes inherited from class javax.swing.JToggleButton
`JToggleButton.AccessibleJToggleButton, JToggleButton.ToggleButtonModel`

Inner classes inherited from class javax.swing.AbstractButton
`AbstractButton.AccessibleAbstractButton, AbstractButton.ButtonChangeListener`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`static String` | `BORDER_PAINTED_FLAT_CHANGED_PROPERTY` Identifies a change to the flat property.

Fields inherited from class javax.swing.AbstractButton
`actionListener, BORDER_PAINTED_CHANGED_PROPERTY, changeEvent, changeListener, CONTENT_AREA_FILLED_CHANGED_PROPERTY, DISABLED_ICON_CHANGED_PROPERTY, DISABLED_SELECTED_ICON_CHANGED_PROPERTY, FOCUS_PAINTED_CHANGED_PROPERTY, HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY, HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY, ICON_CHANGED_PROPERTY, itemListener, MARGIN_CHANGED_PROPERTY, MNEMONIC_CHANGED_PROPERTY, model, MODEL_CHANGED_PROPERTY, PRESSED_ICON_CHANGED_PROPERTY, ROLLOVER_ENABLED_CHANGED_PROPERTY, ROLLOVER_ICON_CHANGED_PROPERTY, ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY, SELECTED_ICON_CHANGED_PROPERTY, TEXT_CHANGED_PROPERTY, VERTICAL_ALIGNMENT_CHANGED_PROPERTY, VERTICAL_TEXT_POSITION_CHANGED_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JCheckBox()` Creates an initially unselected check box button with no text, no icon.
`JCheckBox(Action a)` Creates a check box where properties are taken from the Action supplied.
`JCheckBox(Icon icon)` Creates an initially unselected check box with an icon.
`JCheckBox(Icon icon, boolean selected)` Creates a check box with an icon and specifies whether or not it is initially selected.
`JCheckBox(String text)` Creates an initially unselected check box with text.
`JCheckBox(String text, boolean selected)` Creates a check box with text and specifies whether or not it is initially selected.
`JCheckBox(String text, Icon icon)` Creates an initially unselected check box with the specified text and icon.
`JCheckBox(String text, Icon icon, boolean selected)` Creates a check box with text and icon, and specifies whether or not it is initially selected.

Method Summary
`protected void` | `configurePropertiesFromAction(Action a)` Factory method which sets the ActionEvent source's properties according to values from the Action instance.
`protected PropertyChangeListener` | `createActionPropertyChangeListener(Action a)` Factory method which creates the PropertyChangeListener used to update the ActionEvent source as properties change on its Action instance.
`AccessibleContext` | `getAccessibleContext()` Gets the AccessibleContext associated with this JCheckBox.
`String` | `getUIClassID()` Returns a string that specifies the name of the L&F class that renders this component.
`boolean` | `isBorderPaintedFlat()` Returns whether the border should be painted flat.
`protected String` | `paramString()` Returns a string representation of this JCheckBox.
`void` | `setBorderPaintedFlat(boolean b)` Sets whether the border should be painted flat.
`void` | `updateUI()` Notification from the UIFactory that the L&F has changed.

Methods inherited from class javax.swing.AbstractButton
`addActionListener, addChangeListener, addItemListener, checkHorizontalKey, checkVerticalKey, createActionListener, createChangeListener, createItemListener, doClick, doClick, fireActionPerformed, fireItemStateChanged, fireStateChanged, getAction, getActionCommand, getDisabledIcon, getDisabledSelectedIcon, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getLabel, getMargin, getMnemonic, getModel, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getSelectedObjects, getText, getUI, getVerticalAlignment, getVerticalTextPosition, imageUpdate, init, isBorderPainted, isContentAreaFilled, isFocusPainted, isFocusTraversable, isRolloverEnabled, isSelected, paintBorder, removeActionListener, removeChangeListener, removeItemListener, setAction, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setEnabled, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setLabel, setMargin, setMnemonic, setMnemonic, setModel, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BORDER_PAINTED_FLAT_CHANGED_PROPERTY

    public static final String BORDER_PAINTED_FLAT_CHANGED_PROPERTY

  Identifies a change to the flat property.

Constructor Detail

### JCheckBox

    public JCheckBox()

  Creates an initially unselected check box button with no text, no icon.

### JCheckBox

    public JCheckBox(Icon icon)

  Creates an initially unselected check box with an icon.
  Parameters:
    `icon` - the Icon image to display

### JCheckBox

    public JCheckBox(Icon icon,
                     boolean selected)

  Creates a check box with an icon and specifies whether or not it is initially selected.
  Parameters:
    `icon` - the Icon image to display
    `selected` - a boolean value indicating the initial selection state. If `true` the check box is selected

### JCheckBox

    public JCheckBox(String text)

  Creates an initially unselected check box with text.
  Parameters:
    `text` - the text of the check box.

### JCheckBox

    public JCheckBox(Action a)

  Creates a check box where properties are taken from the Action supplied.
  Since:
    1.3

### JCheckBox

    public JCheckBox(String text,
                     boolean selected)

  Creates a check box with text and specifies whether or not it is initially selected.
  Parameters:
    `text` - the text of the check box.
    `selected` - a boolean value indicating the initial selection state. If `true` the check box is selected

### JCheckBox

    public JCheckBox(String text,
                     Icon icon)

  Creates an initially unselected check box with the specified text and icon.
  Parameters:
    `text` - the text of the check box.
    `icon` - the Icon image to display

### JCheckBox

    public JCheckBox(String text,
                     Icon icon,
                     boolean selected)

  Creates a check box with text and icon, and specifies whether or not it is initially selected.
  Parameters:
    `text` - the text of the check box.
    `icon` - the Icon image to display
    `selected` - a boolean value indicating the initial selection state. If `true` the check box is selected

Method Detail

### setBorderPaintedFlat

    public void setBorderPaintedFlat(boolean b)

  Sets whether the border should be painted flat. This is usually set to true when a JCheckBox instance is used as a renderer in a component such as a JTable or JTree.
  Parameters:
    `b` - if true, the border is painted flat.
  See Also:
    `isBorderPaintedFlat()`

### isBorderPaintedFlat

    public boolean isBorderPaintedFlat()

  Returns whether the border should be painted flat.
  See Also:
    `setBorderPaintedFlat(boolean)`

### updateUI

    public void updateUI()

  Notification from the UIFactory that the L&F has changed.
  Overrides:
    `updateUI` in class `JToggleButton`
  See Also:
    `JComponent.updateUI()`

### getUIClassID

    public String getUIClassID()

  Returns a string that specifies the name of the L&F class that renders this component.
  Overrides:
    `getUIClassID` in class `JToggleButton`
  Returns:
    "CheckBoxUI"
  See Also:
    `JComponent.getUIClassID()`, `UIDefaults.getUI(javax.swing.JComponent)`

### configurePropertiesFromAction

    protected void configurePropertiesFromAction(Action a)

  Factory method which sets the ActionEvent source's properties according to values from the Action instance. The properties which are set may differ for subclasses. By default, the properties which get set are Text, Icon Enabled, and ToolTipText.
  Overrides:
    `configurePropertiesFromAction` in class `AbstractButton`
  Parameters:
    `a` - the Action from which to get the properties, or null
  Since:
    1.3
  See Also:
    `Action`, `AbstractButton.setAction(javax.swing.Action)`

### createActionPropertyChangeListener

    protected PropertyChangeListener createActionPropertyChangeListener(Action a)

  Factory method which creates the PropertyChangeListener used to update the ActionEvent source as properties change on its Action instance. Subclasses may override this in order to provide their own PropertyChangeListener if the set of properties which should be kept up to date differs from the default properties (Text, Icon, Enabled, ToolTipText). Note that PropertyChangeListeners should avoid holding strong references to the ActionEvent source, as this may hinder garbage collection of the ActionEvent source and all components in its containment hierarchy.
  Overrides:
    `createActionPropertyChangeListener` in class `AbstractButton`
  Since:
    1.3
  See Also:
    `Action`, `AbstractButton.setAction(javax.swing.Action)`

### paramString

    protected String paramString()

  Returns a string representation of this JCheckBox. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`. specific new aspects of the JFC components.
  Overrides:
    `paramString` in class `JToggleButton`
  Returns:
    a string representation of this JCheckBox.

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Gets the AccessibleContext associated with this JCheckBox. For JCheckBoxes, the AccessibleContext takes the form of an AccessibleJCheckBox. A new AccessibleJCheckBox instance is created if necessary.
  Specified by:
    `getAccessibleContext` in interface `Accessible`
  Overrides:
    `getAccessibleContext` in class `JToggleButton`
  Returns:
    an AccessibleJCheckBox that serves as the AccessibleContext of this JCheckBox

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.